Subject: bug#864 closed by martin rudalics <[email-masked]> (Re: bug#864: 23.0.60; Info-dir-remove-duplicates fails to remove duplicates)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#864: 23.0.60; Info-dir-remove-duplicates fails to remove duplicates

It has been closed by martin rudalics <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact martin rudalics <[email-masked]> by
replying to this email.

-- 
864: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=864
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Sun Sep  7 03:23:33 2008
Date: Sun, 07 Sep 2008 12:05:31 +0200
From: martin rudalics <[email-masked]>
To: [email-masked]
CC: "Joshua S." <[email-masked]>
Subject: Re: bug#864: 23.0.60;	Info-dir-remove-duplicates fails to remove
 duplicates

Fixed as

2008-09-04  Martin Rudalics  <[email-masked]>

	* info.el (Info-dir-remove-duplicates): Narrow buffer when
	removing duplicate entries under same heading.  Don't skip char
	matching anything but a space or tab at bol.  (Bug#864)

Thanks

>From [email-masked] Tue Sep  2 08:26:35 2008
Date: Wed, 03 Sep 2008 00:26:19 +0900
From: "Joshua S." <[email-masked]>
To: [email-masked]
Subject: 23.0.60; Info-dir-remove-duplicates fails to remove duplicates

Hi,
I use NTEmacs with Cygwin, and something like this in my ~/.emacs.
     (setq Info-directory-list (list (expand-file-name "../info" 
data-directory) "c:/cygwin/usr/share/info"))
Then the Info Directory Node lists some duplicated items.

I did bellow patch to fix this. (You know, I am not a good Lisp programmer.)

Index: lisp/info.el
===================================================================
RCS file: /sources/emacs/emacs/lisp/info.el,v
retrieving revision 1.541
diff -u -d -w -r1.541 info.el
--- lisp/info.el    30 Aug 2008 20:16:36 -0000    1.541
+++ lisp/info.el    2 Sep 2008 15:05:54 -0000
@@ -1222,9 +1222,10 @@
            ;; Fold case straight away; `member-ignore-case' here wasteful.
            (let ((x (downcase (match-string 1))))
            (if (member x seen)
-              (delete-region (match-beginning 0)
+              (progn (delete-region (match-beginning 0)
                       (progn (re-search-forward "^[^ \t]" nil t)
                          (match-beginning 0)))
+                   (forward-line 0))
              (push x seen))))))))))

  ;; Note that on entry to this function the current-buffer must be the